APIMCPs

List MCP catalog

List available integrations from the platform catalog.

GET
/mcps/catalog

List available integrations from the platform catalog.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

view_mcps

Response Body

The request has succeeded.

application/json
  1. response
items*array<>
byo_redirect_uri*string

OAuth callback URL the gateway will use for catalog BYO installs. Same for every entry.

Formaturi
curl -X GET "https://example.com/mcps/catalog"
{  "items": [    {      "slug": "string",      "kind": "builtin",      "category": "communication",      "display_name": "string",      "description": "string",      "scopes": [        "string"      ],      "available_tools": [        {          "name": "string",          "description": "string",          "input_schema": {            "property1": null,            "property2": null          },          "upstream_id": "string",          "upstream_name": "string"        }      ],      "supported_modes": [        "embedded"      ],      "mode_setup": {        "property1": {          "docs_url": "http://example.com",          "requires_setup": true        },        "property2": {          "docs_url": "http://example.com",          "requires_setup": true        }      },      "url_variables": [        {          "key": "string",          "label": "string",          "placeholder": "string",          "hint": "string"        }      ]    }  ],  "byo_redirect_uri": "http://example.com"}